Skip to main content
PATCH
/
partners
/
v2
/
verifications
/
{id}
curl --request PATCH \
  --url https://api-sandbox.argyle.com/partners/v2/verifications/{id} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "loan": {
    "number": "5678",
    "borrower_id": "5678",
    "application_id": "2121313",
    "officer_email": "john.doe@mortgage.com"
  },
  "billing": {
    "cost_center": "new_cost_center"
  }
}
'
{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
  "created_at": "2023-03-09T16:22:06.081Z",
  "updated_at": "2023-03-09T16:22:06.081Z",
  "channel": "api",
  "status": {
    "state": "PROCESSING",
    "code": "authenticated",
    "errors": []
  },
  "report": {
    "id": null,
    "type": "voie",
    "file_url": null,
    "json_url": null
  },
  "employments": [],
  "loan": {
    "number": "5678",
    "borrower_id": "5678",
    "application_id": "2121313",
    "officer_email": "john.doe@mortgage.com"
  },
  "billing": {
    "cost_center": "new_cost_center"
  },
  "data_source": "payroll"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the verification to be updated.

Body

application/json

Request body for updating a verification.

  • loan and billing can be updated for either data source.
  • employments can only be updated when a document verification is in the PAUSED state.
  • Updating employments replaces the full employments array.
loan
object

Optional loan details for regular payroll and mortgage verification workflows.

billing
object

Optional billing details for regular payroll and mortgage verification workflows.

employments
object[]

Updated list of employments for the user.

Response

200 - application/json
id
string<uuid>

Unique ID of the verification.

user
string<uuid>

ID of the user associated with the verification.

client
string<uuid>

ID of the client on whose behalf the verification was requested.

created_at
string<date-time>

Timestamp (ISO 8601) when the verification was requested.

updated_at
string<date-time>

Timestamp (ISO 8601) when the verification object was last updated.

channel
enum<string>

Origin of the verification order.

Available options:
api,
encompass
Example:

"api"

status
object

Verification status information.

report
object

Report information.

employments
object[]

List of employments for the user. Documents only.

loan
object

Optional loan details for regular payroll and mortgage verification workflows.

billing
object

Optional billing details for regular payroll and mortgage verification workflows.

data_source
enum<string>

Source of verification data.

Available options:
payroll,
banking,
documents